PDF::API3::Compat::API2::Basic::PDF::String(3)

NAME
PDF::API3::Compat::API2::Basic::PDF::String - PDF String type objects and superclass for simple objects that are basically stringlike (Number, Name, etc.)

METHODS

  PDF::API3::Compat::API2::Basic::PDF::String->from_pdf($string)
Creates a new string object (not a full object yet) from a given string. The string is parsed according to input criteria with escaping working.

  PDF::API3::Compat::API2::Basic::PDF::String->new($string)
Creates a new string object (not a full object yet) from a given string. The string is parsed according to input criteria with escaping working.

  $s->convert($str)
Returns $str converted as per criteria for input from PDF file

  $s->val
Returns the value of this string (the string itself).

  $->as_pdf
Returns the string formatted for output as PDF for PDF File object $pdf.

  $s->outobjdeep
Outputs the string in PDF format, complete with necessary conversions